<?php
if (!array_key_exists("url", $_GET) || $_GET["url"] == "") {
    die("URL not set or empty");
}

$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, "https://i.ebayimg.com/" . $_GET["url"]);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, 20);
curl_setopt($curl, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
curl_setopt($curl, CURLOPT_FOLLOWLOCATION, true);

$content = curl_exec($curl);
$httpcode = curl_getinfo($curl, CURLINFO_HTTP_CODE);

if ($httpcode == 200) {
    $contentType = curl_getinfo($curl, CURLINFO_CONTENT_TYPE);
    header('Content-Type: ' . $contentType);
    echo ($content);
} else {
    die("Failed to fetch image, server responded with " . $httpcode);
}
